qpid-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Aidan Skinner <aidan.skin...@gmail.com>
Subject Re: qpid jar hell solutions? maven repo?
Date Thu, 10 Sep 2009 14:43:58 GMT
On Thu, Sep 10, 2009 at 3:37 PM, falconair <shahbazc@gmail.com> wrote:

> I have tried using different version of the mina and concurrency-backport
> libraries, I get the same error.  The problem is made worse by the fact that
> some other jars also have mina/j.u.c as a dependency (possibly different
> versions).  A year ago or so, when I first used qpid, I had to waste several
> days to resolve this issue.  Now a colleague has setup maven (which is
> apparently designed for such problems) for our project , but qpid 0.5
> doesn't seem to be in any repos.

Yeah, we don't export release to the central repo ATM. I'm hopeful
that 0.6 will be though.

> How can I resolve this issue quickly?

The easiest way is probably to use the qpid-java-client-0.5.tar.gz and
add all the libraries in lib/ to your classpath - that should get
everything you need.

- Aidan

-- 
Apache Qpid - AMQP, JMS, other messaging love http://qpid.apache.org
"A witty saying proves nothing" - Voltaire

---------------------------------------------------------------------
Apache Qpid - AMQP Messaging Implementation
Project:      http://qpid.apache.org
Use/Interact: mailto:users-subscribe@qpid.apache.org


Mime
View raw message